# xarray.Dataset.fillna

`Dataset.``fillna`(value)

  Fill missing values in this object.

  This operation follows the normal broadcasting and alignment rules that xarray uses for binary arithmetic, except the result is aligned to this object (`join='left'`) instead of aligned to the intersection of index coordinates (`join='inner'`).

  Parameters:

  value : scalar, ndarray, DataArray, dict or Dataset

  > Used to fill all matching missing values in this dataset’s data variables. Scalars, ndarrays or DataArrays arguments are used to fill all data with aligned coordinates (for DataArrays). Dictionaries or datasets match data variables and then align coordinates if necessary.

  Returns: | Dataset